## ag-auth-data

ag-auth-data — information for account authentication.

## Functions

AgAuthData * | ag_auth_data_ref ()
void | ag_auth_data_unref ()
guint | ag_auth_data_get_credentials_id ()
const gchar * | ag_auth_data_get_method ()
const gchar * | ag_auth_data_get_mechanism ()
GHashTable * | ag_auth_data_get_parameters ()
void | ag_auth_data_insert_parameters ()
GVariant * | ag_auth_data_get_login_parameters ()

## Includes

    #include <libaccounts-glib/ag-auth-data.h>

## Description

The AgAuthData structure holds information on the authentication parameters used by an account. It is created by `ag_account_service_get_auth_data()`, and can be destroyed with `ag_auth_data_unref()`.

## Functions

### ag_auth_data_ref ()

    AgAuthData *
    ag_auth_data_ref (AgAuthData *self);

Increment the reference count of `self` .

#### Parameters

self | the AgAuthData. |

#### Returns

`self` .

### ag_auth_data_unref ()

    void
    ag_auth_data_unref (AgAuthData *self);

Decrements the reference count of `self` . The item is destroyed when the count gets to 0.

#### Parameters

self | the AgAuthData. |

### ag_auth_data_get_credentials_id ()

    guint
    ag_auth_data_get_credentials_id (AgAuthData *self);

Gets the ID of the credentials associated with this account.

#### Parameters

self | the AgAuthData. |

#### Returns

the credentials ID.

Since: 1.1

### ag_auth_data_get_method ()

    const gchar *
    ag_auth_data_get_method (AgAuthData *self);

Gets the authentication method.

#### Parameters

self | the AgAuthData. |

#### Returns

the authentication method.

### ag_auth_data_get_mechanism ()

    const gchar *
    ag_auth_data_get_mechanism (AgAuthData *self);

Gets the authentication mechanism.

#### Parameters

self | the AgAuthData. |

#### Returns

the authentication mechanism.

### ag_auth_data_get_parameters ()

    GHashTable *
    ag_auth_data_get_parameters (AgAuthData *self);

`ag_auth_data_get_parameters` has been deprecated since version 1.4 and should not be used in newly-written code.

use `ag_auth_data_get_login_parameters()` instead.

Gets the authentication parameters.

#### Parameters

self | the AgAuthData. |

#### Returns

a GHashTable containing all the authentication parameters.

[transfer none][element-type utf8 GValue]

### ag_auth_data_insert_parameters ()

    void
    ag_auth_data_insert_parameters (AgAuthData *self,
                                    GHashTable *parameters);

`ag_auth_data_insert_parameters` has been deprecated since version 1.4 and should not be used in newly-written code.

use `ag_auth_data_get_login_parameters()` instead.

Insert the given authentication parameters into the authentication data. If some parameters were already present, the parameters passed with this method take precedence.

#### Parameters

self | the AgAuthData. |
parameters | a GHashTable containing the authentication parameters to be added. | [transfer none][element-type utf8 GValue]

### ag_auth_data_get_login_parameters ()

    GVariant *
    ag_auth_data_get_login_parameters (AgAuthData *self,
                                       GVariant *extra_parameters);

Gets the authentication parameters.

#### Parameters

self | the AgAuthData. |
extra_parameters | a GVariant containing client-specific authentication parameters to be added to the returned dictionary. | [transfer floating][allow-none]

#### Returns

a floating GVariant of type `G_VARIANT_TYPE_VARDICT` containing all the authentication parameters.

[transfer none]

Since: 1.4